%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_pytho\n_lib()")}


Name:           gpodder
Version:        0.17.0
Release:        2%{?dist}
Summary:        Podcast receiver/catcher written in Python

Group:          Applications/Multimedia
License:        GPLv3
URL:            http://gpodder.berlios.de/
Source0:        http://download.berlios.de/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  python-devel,ImageMagick,python-feedparser
BuildRequires:  desktop-file-utils
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  help2man
Requires:       pygtk2 pygtk2-libglade wget
Requires:       python-gpod, python-eyed3, python-feedparser
Requires:       pybluez, gnome-bluetooth, python-imaging
%description
gPodder is a Podcast receiver/catcher written in Python, using GTK. 
It manages podcast feeds for you and automatically downloads all 
podcasts from as many feeds as you like.
It also optionally supports syncing with ipods.

%prep
%setup -q

%build
make messages


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

iconv -f latin1 -t utf-8 $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop \
       -o $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop.new
mv $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop.new $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

desktop-file-install --vendor fedora --delete-original           \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                 \
  --remove-key Miniicon --add-category Application \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README INSTALL
%{_bindir}/%{name}
%{_bindir}/gpo
%{_bindir}/%{name}-backup
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/
%{_mandir}/man1/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}*.png
%{python_sitelib}/%{name}/
%{python_sitelib}/%{name}*.egg-info

%changelog
* Mon Jul 27 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.17.0-2
- New upstream release, fixes multiple bugs since 0.16.1.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Jul 2 2009 - 0.16.1-2 jpaleta <jspaleta AT fedoraproject DOT org>
- feedparser buildrequires fix

* Sun Jun 14 2009 - 0.16.1-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream point release new features and bug fixes. See upstream website for details.

* Mon Apr 13 2009 - 0.15.2-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream point release with multiple bug fixes and updates translations.

* Fri Mar 20 2009 - 0.15.1-1 jpaleta <jspaleta AT fedoraproject DOT org>
- new upstream release and packaging fixes

* Thu Feb 05 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.1-1
- new upstream release

* Sat Jan 03 2009 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.0-2
- pybluez dep fix

* Mon Dec 11 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.14.0-1
- New upstream release

* Mon Dec 01 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> - 0.13.1-2.1
- Source Fix

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.13.1-2
- Rebuild for Python 2.6

* Wed Nov 12 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.13.1-1
- Update to 0.13.1 

* Thu Oct 9 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.13.0-1
- 0.13 Series

* Sun Aug 10 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.12.2-1
- Bugfix release of the 0.12.x series

* Tue Jul 15 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.12.0-1
- First of the 0.12.x series

* Tue Jul 1 2008 Jef Spaleta <jspaleta AT fedoraproject DOT org> 0.11.3-1
- latest stable release

* Wed Apr 2 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.11.1-2
- New Upstream version. 

* Wed Feb 27 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.11.1-1
- New Upstream version. 

* Wed Jan 23 2008 Jef Spaleta <jspaleta@fedoraproject.org> 0.10.4-1
- New Upstream version. Minor desktop file patch needed.

* Mon Dec 17 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.3-1
- New Upstream version

* Thu Nov 29 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.2-1
- New Upstream version
- A mixed bag of bugfixes and enhancements
- See upstream release notes for full details

* Tue Oct 30 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.1-1
- New Upstream version
- Channel list selection/update bugfixes
- Really load channel metadata
- See upstream website for full release notes

* Sun Oct 07 2007 Jef Spaleta <jspaleta@gmail.com> 0.10.0-1
- New Upstream version

* Sun Aug 26 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.5-1
- New Upstream version

* Fri Aug 03 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.4-2
- Update license tag to GPLv2+ for new licensing guidance

* Sat Jul 28 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.4-1
- Update to 0.9.4 release and adjust specfile accordingly

* Mon Mar 26 2007 Jef Spaleta <jspaleta@gmail.com> 0.9.0-1
- Update to 0.9.0 release and adjust specfile accordingly

* Sun Feb 11 2007 Jef Spaleta <jspaleta@gmail.com> 0.8.9-1
- Update to 0.8.9 release and adjust specfile accordingly

* Wed Dec 27 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-3
- Rmove X-Fedora-Extras Category and python dependancy as per review comments 

* Sun Dec 24 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-2
- added iconv call to force utf-8 encoding.

* Sun Dec 24 2006 Jef Spaleta <jspaleta@gmail.com> 0.8.0-1
- Initial build for FE inclusion review
